import request from '@/utils/request'

// 获取材料列表
export function getMaterialList(param) {
  return request({
    url: '/backendApi/material/list',
    method: 'get',
    params: param
  })
}
// 获取材料分类列表
export function getAllMaterialType() {
  return request({
    url: '/backendApi/material_type/getAllMaterialType',
    method: 'get',
  })
}

// 保持材料
export function saveMaterial(data) {
  return request({
    url: '/backendApi/material/save',
    data:data,
    method: 'post',
  })
}

// 删除材料
export function deleteMaterialById(id) {
  return request({
    url: `/backendApi/material/delete/${id}`,
    method: 'delete',
  })
}

// 采购订单表列表查询
export function getPurchaseOrderList(params) {
  return request({
    url: '/backendApi/purchase_order/list',
    method: 'get',
    params: params
  })
}
// 保存采购订单
export function savePurchaseOrderController(data) {
  return request({
    url: '/backendApi/purchase_order/save',
    method: 'post',
    data: data
  })
}


// 获取材料表详情
export function getMaterialInfo(id) {
  return request({
    url: `/backendApi/material/info/${id}`,
    method: 'get'
  });
}
// 获取采购订单表详情
export function getPurchaseOrderInfo(id) {
  return request({
    url: `/backendApi/purchase_order/info/${id}`,
    method: 'get'
  });
}
// 更新材料表状态
export function updateMaterialStatus(data) {
  return request({
    url: '/backendApi/material/updateStatus',
    method: 'post',
    data
  });
}
// 更新材料表
export function updateMaterial(data) {
  return request({
    url: '/backendApi/material/update',
    method: 'post',
    data
  });
}